From 0e5303f632b03dd8bd93f35b2b6dec32bce29d4f Mon Sep 17 00:00:00 2001
From: Adam Novak <interfect@gmail.com>
Date: Sun, 26 Nov 2017 17:44:19 -0800
Subject: [PATCH] Load PCI Option ROMs from devices even if we have a driver
 for them.

---
 src/optionroms.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/optionroms.c b/src/optionroms.c
index 092393a..0137921 100644
--- a/src/optionroms.c
+++ b/src/optionroms.c
@@ -350,8 +350,14 @@ optionrom_setup(void)
     // Find and deploy PCI roms.
     struct pci_device *pci;
     foreachpci(pci) {
-        if (pci->class == PCI_CLASS_DISPLAY_VGA || pci->have_driver)
+        dprintf(5, "Consider PCI bdf %pP (vd %04x:%04x)\n", pci, pci->vendor, pci->device);
+        if (pci->class == PCI_CLASS_DISPLAY_VGA) {
+            dprintf(5, "\tIs a VGA device (VGA ROMs already loaded). Skip.\n");
             continue;
+        }
+        if (pci->have_driver) {
+            dprintf(5, "\tAlready have a driver, but check for ROM anyway\n");
+        }
         init_pcirom(pci, 0, sources);
     }
 
-- 
2.14.1

